Permalink
Switch branches/tags
Nothing to show
Find file Copy path
Fetching contributors…
Cannot retrieve contributors at this time
51 lines (36 sloc) 1.23 KB

title: Installation layout: docs_page date: 2014-08-14 09:34:30

Spot uses Composer to install and update:

php composer.phar require vlucas/spot2 ~2.0

The Spot source code is available on GitHub, and can be cloned into your project via git, or downloaded directly as a ZIP archive.

Installing Composer

If you don't have composer installed, you can do so with the command:

curl -s http://getcomposer.org/installer | php

Manual Installation

If you would rather install Spot manually, just open up your composer.json file, and add vlucas/spot2 to the require section:

{
    "require": {
        "vlucas/spot2": "~2.0"
    }
}

Autoloading

If you are already using Composer to manage your other dependencies, you have nothing more to do - Spot uses Composer's autoloader, so all of Spot's classes are available to you now.

If you haven't already setup Composer's autoloader, require it in your project:

require 'vendor/autoload.php';

Composer's basic usage guide is very useful if you need further help with composer.